package me.unurled.sacredrealms.sr.gui.entitytype;

import static me.unurled.sacredrealms.sr.utils.component.Component.comp;

import me.unurled.sacredrealms.sr.components.entity.SREntityType;
import org.bukkit.Material;
import org.bukkit.entity.EntityType;
import org.bukkit.entity.Player;
import org.bukkit.event.inventory.ClickType;
import org.jetbrains.annotations.NotNull;
import xyz.xenondevs.invui.Click;
import xyz.xenondevs.invui.item.AbstractItem;
import xyz.xenondevs.invui.item.ItemBuilder;
import xyz.xenondevs.invui.item.ItemProvider;

public class EntityTypeItem extends AbstractItem {

  private final EntityType type;

  public EntityTypeItem(@NotNull SREntityType type) {
    this.type = type.getType();
  }

  @Override
  public @NotNull ItemProvider getItemProvider(@NotNull Player viewer) {
    return new ItemBuilder(Material.ZOMBIE_SPAWN_EGG).setCustomName(type.name());
  }

  @Override
  public void handleClick(
      @NotNull ClickType clickType, @NotNull Player player, @NotNull Click click) {
    player.closeInventory();
    player.sendMessage(
        comp(
            "<click:suggest_command:/entitytype edit "
                + player.getOpenInventory().title()
                + " type > entitytype edit "
                + player.getOpenInventory().title()
                + "type"));
  }
}
