package me.unurled.sacredrealms.sr.utils.component;

import static me.unurled.sacredrealms.sr.utils.component.Component.translate;

import net.kyori.adventure.text.TranslatableComponent;

public enum TranslatedComponent {
  ERROR,
  NOT_PLAYER,
  NO_PERMISSION,
  PLAYER_NOT_FOUND;

  TranslatableComponent component;

  TranslatedComponent() {}

  public static void init() {
    ERROR.setComponent(translate("error"));
    NOT_PLAYER.setComponent(translate("not.player"));
    NO_PERMISSION.setComponent(translate("no.permission"));
    PLAYER_NOT_FOUND.setComponent(translate("player.not.found"));
  }

  private void setComponent(TranslatableComponent component) {
    this.component = component;
  }

  public TranslatableComponent component() {
    return component;
  }
}
