package me.unurled.sacredrealms.sr.gui.entitytype;

import me.unurled.sacredrealms.sr.components.entity.SREntityType;
import org.bukkit.Material;
import org.bukkit.entity.Player;
import org.bukkit.event.inventory.ClickType;
import org.jetbrains.annotations.NotNull;
import xyz.xenondevs.invui.Click;
import xyz.xenondevs.invui.item.AbstractItem;
import xyz.xenondevs.invui.item.ItemBuilder;
import xyz.xenondevs.invui.item.ItemProvider;

public class EntityNameItem extends AbstractItem {

  private final String name;

  public EntityNameItem(@NotNull SREntityType type) {
    name = type.getName();
  }

  @Override
  public @NotNull ItemProvider getItemProvider(@NotNull Player viewer) {
    return new ItemBuilder(Material.NAME_TAG).setCustomName(name);
  }

  @Override
  public void handleClick(
      @NotNull ClickType clickType, @NotNull Player player, @NotNull Click click) {
    /* TODO need to implements this */
  }
}
